## org.biojava.bio.search
Class SeqSimilaritySearchSubHit.ByScoreComparator

    java.lang.Object
      org.biojava.bio.search.SeqSimilaritySearchSubHit.ByScoreComparator

All Implemented Interfaces:
  Comparator

Enclosing interface:
  SeqSimilaritySearchSubHit

    public static final class SeqSimilaritySearchSubHit.ByScoreComparator

extends Object
implements Comparator

`ByScoreComparator` compares `SeqSimilaritySearchSubHit`s by their score.

Constructor Summary
`SeqSimilaritySearchSubHit.ByScoreComparator()`

Method Summary
`int` `compare(Object o1, Object o2)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Constructor Detail

### SeqSimilaritySearchSubHit.ByScoreComparator

    public SeqSimilaritySearchSubHit.ByScoreComparator()

Method Detail

### compare

    public int compare(Object o1,
                       Object o2)

  Specified by:
    `compare` in interface `Comparator`